Module javafx.controls
Package javafx.scene.control

# Class TreeTableView.ResizeFeatures<S>

java.lang.Object
javafx.scene.control.ResizeFeaturesBase<TreeItem<S>>
javafx.scene.control.TreeTableView.ResizeFeatures<S>

Enclosing class:
  `TreeTableView<S>`

public static class TreeTableView.ResizeFeatures<S> extends ResizeFeaturesBase<TreeItem<S>>
An immutable wrapper class for use in the TableView `column resize` functionality.

Since:
  JavaFX 8.0

## Constructor Summary

Constructors
Constructor
Description
`ResizeFeatures(TreeTableView<S> treeTable, TreeTableColumn<S,?> column, Double delta)`
Creates an instance of this class, with the provided TreeTableView, TreeTableColumn and delta values being set and stored in this immutable instance.

## Method Summary

Modifier and Type
Method
Description
`TreeTableColumn<S,?>`
`getColumn()`
Returns the column upon which the resize is occurring, or null if this ResizeFeatures instance was created as a result of a TreeTableView resize operation.
`TreeTableView<S>`
`getTable()`
Returns the TreeTableView upon which the resize operation is occurring.

### Methods inherited from class javafx.scene.control.ResizeFeaturesBase

`getDelta`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResizeFeatures

public ResizeFeatures(TreeTableView<S> treeTable, TreeTableColumn<S,?> column, Double delta)
Creates an instance of this class, with the provided TreeTableView, TreeTableColumn and delta values being set and stored in this immutable instance.

Parameters:
  `treeTable` - The TreeTableView upon which the resize operation is occurring.
  `column` - The column upon which the resize is occurring, or null if this ResizeFeatures instance is being created as a result of a TreeTableView resize operation.
  `delta` - The amount of horizontal space added or removed in the resize operation.

## Method Details

### getColumn

public TreeTableColumn<S,?> getColumn()
Returns the column upon which the resize is occurring, or null if this ResizeFeatures instance was created as a result of a TreeTableView resize operation.

Overrides:
  `getColumn` in class `ResizeFeaturesBase<TreeItem<S>>`
Returns:
  the column upon which the resize is occurring

### getTable

public TreeTableView<S> getTable()
Returns the TreeTableView upon which the resize operation is occurring.

Returns:
  the TreeTableView upon which the resize operation is occurring